Update the API key of rules matching a query (dry-run by default)
- Base URL
-
https://{kibana_url}
- POST /api/alerting/v2/rules/_update_api_key_by_query
Rotates each matching rule executor task API key to one derived from the current user’s credentials.
Responses
Indicates an invalid schema or parameters.
Indicates the request was not authenticated.
Indicates the user does not have the required privileges to perform the request.
Indicates an unexpected server-side error.
Indicates the alerting engine is disabled by the alerting:v2:enabled advanced setting.